> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Select all companies

> How to read all the companies in SuperOffice with REST Web API.

Read all the companies in SuperOffice.

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

```javascript theme={null}
companies = Get("api/v1/Contact?$select=name,category,number")
// companies.value =
  [
    {
    "PrimaryKey": "3",
    "EntityName": "contact",
    "name": "Amadeus AS",
    "category": "Kunde",
    "number": "AA10011"
    },{
    "PrimaryKey": "4",
    "EntityName": "contact",
    "name": "Arne's Kebab",
    "category": "Kunde",
    "number": "AA10012"
    },{
    "PrimaryKey": "5",
    "EntityName": "contact",
    "name": "Bjørge AS",
    "category": "Kunde",
    "number": "BB10013"
    } ]
```


## Related topics

- [Get All Navigator Company](/en/api/reference/restful/agent/navigator_agent/get-all-navigator-company.md)
- [Manage "Our companies"](/en/admin/user-management/our-companies.md)
- [Select recipients](/integrations/mail-link/select-recipients.md)
- [Companies](/en/mobile/company/index.md)
- [Company](/en/company/learn/index.md)
- [Move a contact to another company](/en/contact/learn/move.md)
